aboutsummaryrefslogtreecommitdiffstats
path: root/contrib/jenkins.sh
diff options
context:
space:
mode:
authorMatthias P. Braendli <matthias.braendli@mpb.li>2022-01-09 20:02:59 +0100
committerMatthias P. Braendli <matthias.braendli@mpb.li>2022-01-09 20:02:59 +0100
commit36276e45cc3dbca2e954515bd7b6b3b4498ddbb2 (patch)
tree4ec57160a6b6ec14974e44b5beabf8103907aa1e /contrib/jenkins.sh
parent2cf0eaffddab2457fc81d672599c0f58eb6950f9 (diff)
parenta0e7a58447006cdb1e10f781323c88bd08e66eea (diff)
downloadosmo-fl2k-36276e45cc3dbca2e954515bd7b6b3b4498ddbb2.tar.gz
osmo-fl2k-36276e45cc3dbca2e954515bd7b6b3b4498ddbb2.tar.bz2
osmo-fl2k-36276e45cc3dbca2e954515bd7b6b3b4498ddbb2.zip
Merge branch 'iq' into interleaved_rg
Diffstat (limited to 'contrib/jenkins.sh')
-rwxr-xr-xcontrib/jenkins.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/contrib/jenkins.sh b/contrib/jenkins.sh
new file mode 100755
index 0000000..8c3b1cf
--- /dev/null
+++ b/contrib/jenkins.sh
@@ -0,0 +1,18 @@
+#!/bin/sh -ex
+# This is how we build on jenkins.osmocom.org.
+
+CFLAGS="-Werror"
+
+if ! [ -x "$(command -v osmo-clean-workspace.sh)" ]; then
+ echo "Error: We need to have scripts/osmo-clean-workspace.sh from osmo-ci.git in PATH!"
+ exit 2
+fi
+
+osmo-clean-workspace.sh
+cmake \
+ -DINSTALL_UDEV_RULES=ON \
+ -DCMAKE_C_FLAGS="$CFLAGS" \
+ .
+make $PARALLEL_MAKE
+make DESTDIR="_install" install
+osmo-clean-workspace.sh